#include <stdio.h>
#include <ecl/ecl.h>

void
test(const char* input){
	cl_object output = si_safe_eval(3, c_string_to_object(input), 
	                                Cnil, MAKE_FIXNUM(-1));

	if(FIXNUMP(output)){
		int val = ecl_to_int32_t(output);
		if(val == -1) printf("%s => fail!\n", input);
	} else {
		double val = ecl_to_double(output);	
		printf("%s => %f\n", input, val);
	}
}

int
main(int argc, char **argv)
{
	cl_boot(argc, argv);

	extern cl_object main_lib_CFFI_TEST_MONO(cl_object);
	read_VV(OBJNULL, main_lib_CFFI_TEST_MONO);

	test("(cffi-test:c-sine 1.0)");
	test("(cffi-test:ff-c-sine 1.0)");
	
	cl_shutdown();
	return 0;
}
